
ChiliProject - Feature # 792: Confirmation emails when an incoming email is submitted

Status: Closed Priority: Normal
Author: Eric Davis Category: Mail Receiving
Created: 2011-12-27 Assignee: Eric Davis
Updated: 2011-12-29 Due date:
Remote issue URL:
Affected version:
Description: Send confirmation emails for incoming email email (success or failure) so the sending user will know that the 

system processed their email.

Associated revisions
2011-12-27 02:38 am - Eric Davis
[#792] Add settings for confirmation emails are sent for incoming mail

2011-12-27 02:38 am - Eric Davis
[#792] Add confirmation emails for successful issue creation

2011-12-27 02:38 am - Eric Davis
[#792] Add confirmation emails for successful issue replies

2011-12-27 02:38 am - Eric Davis
[#792] Add confirmation emails for successful forum replies

2011-12-27 02:38 am - Eric Davis
[#792] Send email when mail_handler gets an email from an unknown user

2011-12-27 02:38 am - Eric Davis
[#792] Send email from mail_handler for unauthorized actions

2011-12-27 02:38 am - Eric Davis
[#792] Send email from mail_handler for emails missing a project

2011-12-27 02:39 am - Eric Davis
[#792] Send email from mail_handler for emails which are missing required information

2011-12-29 08:50 pm - Eric Davis
[#792] Fix tests from merge

History
2011-12-27 01:46 am - Eric Davis
- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/148

This adds some much needed visibility into how email is received. Now when someone sends an email to the system they will get a confirmation email 
back with a link to the object (issue, forum) or if it is unsuccessful or unauthorized a confirmation email is sent with error messages (e.g. missing data). 
The confirmations are also configurable in the admin settings if someone wants to turn them off (e.g. no confirmation for successful emails but have a 
confirmation for failed emails).

2011-12-29 07:53 pm - Eric Davis
- Target version set to 3.0.0
- Status changed from Ready for review to Closed

Merged into unstable in commit:00df8321261 and with a small patch in commit:e4554a6d7b7
